Show / Hide Table of Contents

# Struct AtkUnitBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkUnitBase

### Fields

| Improve this Doc View Source

#### Alpha

##### Declaration

    public byte Alpha

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkEventListener

##### Declaration

    public AtkEventListener AtkEventListener

##### Field Value

Type | Description
--- | ---
AtkEventListener |

| Improve this Doc View Source

#### CollisionNodeList

##### Declaration

    public AtkCollisionNode**CollisionNodeList

##### Field Value

Type | Description
--- | ---
AtkCollisionNode** |

| Improve this Doc View Source

#### CollisionNodeListCount

##### Declaration

    public uint CollisionNodeListCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### RootNode

##### Declaration

    public AtkResNode*RootNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ULDData

##### Declaration

    public ULDData ULDData

##### Field Value

Type | Description
--- | ---
ULDData |

| Improve this Doc View Source

#### WindowNode

##### Declaration

    public AtkComponentNode*WindowNode

##### Field Value

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### X

##### Declaration

    public short X

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public short Y

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Properties

| Improve this Doc View Source

#### IsVisible

##### Declaration

    public bool IsVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |